// ASMCompare.h: interface for the CASMCompare class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ASMCOMPARE_H__5CC4D210_0257_11D4_A8F8_D662F9569527__INCLUDED_)
#define AFX_ASMCOMPARE_H__5CC4D210_0257_11D4_A8F8_D662F9569527__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


#define RWORDS_NUMBER 2


// trieda na porovnavanie zadani

class CASMCompare  
{
public:
		
	// porovna 2 histogramy (his[0] a his[1])
	double compare();  

	// prevedie zdrojovy text src na histogram (his[which])
	int readSource(CString & src, int which); 


protected:

	int getLine(CString &str,int from);
	bool isWhite(char chr);
	void checkWord(CString &str,int from,int len,int which);

	static const char whites[];
	static const char rwords[][12];
	static const char irwords[][12];


	// tu su ulozene histogramy na porovnanie
	int his[2][26+RWORDS_NUMBER];
};



#endif // !defined(AFX_ASMCOMPARE_H__5CC4D210_0257_11D4_A8F8_D662F9569527__INCLUDED_)

