// EditUloha.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "EditUloha.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditUloha dialog


CEditUloha::CEditUloha(CWnd* pParent /*=NULL*/)
	: CDialog(CEditUloha::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditUloha)
	m_datOd = COleDateTime::GetCurrentTime();
	m_nBody = 0;
	m_strNazov = _T("");
	m_strPozn = _T("");
	//}}AFX_DATA_INIT
}


void CEditUloha::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditUloha)
	DDX_DateTimeCtrl(pDX, IDC_DATUM, m_datOd);
	DDX_Text(pDX, IDC_BODY, m_nBody);
	DDV_MinMaxLong(pDX, m_nBody, 0, 100);
	DDX_Text(pDX, IDC_NAZOV, m_strNazov);
	DDV_MaxChars(pDX, m_strNazov, 50);
	DDX_Text(pDX, IDC_POZN, m_strPozn);
	DDV_MaxChars(pDX, m_strPozn, 50);
	//}}AFX_DATA_MAP
	if(pDX->m_bSaveAndValidate)
	{
		pDX->PrepareEditCtrl(IDC_NAZOV);
		if(m_strNazov.IsEmpty())
		{
			AfxMessageBox("Chyba -> Nzov : \nNemono zada przdny reazec!!");
			pDX->Fail();
		}

		if(m_strText.IsEmpty())
		{
			AfxMessageBox("Chyba -> Text lohy : \nNemono zada przdny reazec!!");
			pDX->Fail();
		}

	}
}


BEGIN_MESSAGE_MAP(CEditUloha, CDialog)
	//{{AFX_MSG_MAP(CEditUloha)
	ON_BN_CLICKED(IDC_TEXT, OnUloha)
	ON_BN_CLICKED(IDC_VZOR, OnVzor)
	ON_BN_CLICKED(IDC_KONSTR, OnKonstr)
	ON_BN_CLICKED(IDC_VSTUP, OnVstup)
	ON_BN_CLICKED(IDC_VYSTUP, OnVystup)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditUloha message handlers

void CEditUloha::OnUloha() 
{
	CEditText dlg;
	dlg.m_strText=m_strText;
	if(dlg.DoModal()==IDOK)
		m_strText = dlg.m_strText;
}

void CEditUloha::OnVzor() 
{
	CEditText dlg;
	dlg.m_strText=m_strVzor;
	if(dlg.DoModal()==IDOK)
		m_strVzor = dlg.m_strText;
}

void CEditUloha::OnKonstr() 
{
	CEditText dlg;
	dlg.m_strText=m_strKonstr;
	if(dlg.DoModal()==IDOK)
		m_strKonstr = dlg.m_strText;
}

void CEditUloha::OnVstup() 
{
	CEditText dlg;
	dlg.m_strText=m_strVstup;
	if(dlg.DoModal()==IDOK)
		m_strVstup = dlg.m_strText;
}

void CEditUloha::OnVystup() 
{
	CEditText dlg;
	dlg.m_strText=m_strVystup;
	if(dlg.DoModal()==IDOK)
		m_strVystup = dlg.m_strText;
}
