// ErrorReportDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "ErrorReportDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CErrorReportDlg dialog


CErrorReportDlg::CErrorReportDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CErrorReportDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CErrorReportDlg)
	m_strText = _T("");
	//}}AFX_DATA_INIT
}

CErrorReportDlg::CErrorReportDlg(CString strError)
{
	m_strText = strError;
}

CErrorReportDlg::CErrorReportDlg(_ConnectionPtr pCon,CWnd* pParent /*=NULL*/)
	: CDialog(CErrorReportDlg::IDD, pParent)
{
	ErrorsPtr pErrors = pCon->GetErrors();
	ErrorPtr pError;
	long nCount = pErrors->GetCount();
	HRESULT     hr = (HRESULT) 0L;
    for( long i = 0; (!FAILED(hr)) && (i < nCount); i++ )
	{
		TRACE( "\t Dumping ADO Error %d of %d", i+1, nCount );

		hr = pErrors->get_Item((_variant_t)((long)i), &pError );
		_bstr_t bstrDescription( pError->GetDescription() );
		m_strText += bstrDescription;
		m_strText += _T("\r\n");
	}
}

void CErrorReportDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CErrorReportDlg)
	DDX_Text(pDX, IDC_TEXT, m_strText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CErrorReportDlg, CDialog)
	//{{AFX_MSG_MAP(CErrorReportDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CErrorReportDlg message handlers

