// KonfIne.cpp : implementation file
//
#include "stdafx.h"
#include "SOJ.h"
#include "konfine.h"
#include "BrowseFolder.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKonfIne dialog


CKonfIne::CKonfIne(CWnd* pParent /*=NULL*/)
	: CCfgDialog(CKonfIne::IDD, pParent)
{
	//{{AFX_DATA_INIT(CKonfIne)
	m_chkSplash = FALSE;
	m_strPath = _T("");
	m_bStyl = FALSE;
	m_bPorovn = FALSE;
	m_bTest = FALSE;
	m_bAfterMail = FALSE;
	m_bAfterMed = FALSE;
	m_nView = 0;
	//}}AFX_DATA_INIT
	strCaption="In";
	strHelp = "sojko.chm::/konfig.htm#ine";}


void CKonfIne::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKonfIne)
	DDX_Check(pDX, IDC_SPALSH, m_chkSplash);
	DDX_Text(pDX, IDC_DIR, m_strPath);
	DDX_Check(pDX, IDC_CHECK3, m_bStyl);
	DDX_Check(pDX, IDC_CHECK4, m_bPorovn);
	DDX_Check(pDX, IDC_CHECK5, m_bTest);
	DDX_Check(pDX, IDC_CHECK1, m_bAfterMail);
	DDX_Check(pDX, IDC_CHECK2, m_bAfterMed);
	DDX_Radio(pDX, IDC_RADIO1, m_nView);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKonfIne, CDialog)
	//{{AFX_MSG_MAP(CKonfIne)
	ON_BN_CLICKED(IDC_FIND, OnFind)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKonfIne message handlers

void CKonfIne::Load()
{
	m_chkSplash		= ReadRegI("Splash"		);
	m_strPath		= ReadRegS("TmpPath"	);
	m_bTest			= ReadRegI("HromTest"	);
	m_bPorovn		= ReadRegI("HromPorovn"	);
	m_bStyl			= ReadRegI("HromStyl"	);
	m_bAfterMail	= ReadRegI("HromMail"	);
	m_bAfterMed		= ReadRegI("HromMed"	);
	m_nView			= ReadRegI("DefView"	);
	UpdateData(FALSE);
}

void CKonfIne::Save()
{
	UpdateData();
	WriteReg("Splash",		m_chkSplash	);
	WriteReg("TmpPath",		m_strPath	);
	WriteReg("HromPorovn",	m_bPorovn	);
	WriteReg("HromStyl",	m_bStyl		);
	WriteReg("HromTest",	m_bTest		);
	WriteReg("HromMail",	m_bAfterMail);
	WriteReg("HromMed",		m_bAfterMed	);
	WriteReg("DefView",		m_nView		);
}

void CKonfIne::OnFind() 
{
	CBrowseFolder sb(m_hWnd);
	sb.SetInitialSelection(m_strPath);
	if(sb.SelectFolder())
	{
		m_strPath = sb.GetSelectedFolder();
		GetDlgItem(IDC_DIR)->SetWindowText(m_strPath);
	}
}
