// KonfMail.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "KonfMail.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKonfMail dialog


CKonfMail::CKonfMail(CWnd* pParent /*=NULL*/)
	: CCfgDialog(CKonfMail::IDD, pParent)
{
	//{{AFX_DATA_INIT(CKonfMail)
	m_chkIn = FALSE;
	m_chkOut = FALSE;
	m_chkSave = FALSE;
	m_strInName = _T("");
	m_strInSrv = _T("");
	m_strOutName = _T("");
	m_strOutSrv = _T("");
	m_strInPwd = _T("");
	m_strOutPwd = _T("");
	//}}AFX_DATA_INIT
	strCaption="Pota";
	strHelp = "sojko.chm::/konfig.htm#posta";

}


void CKonfMail::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKonfMail)
	DDX_Check(pDX, IDC_CHK_SAVEPWD, m_chkIn);
	DDX_Check(pDX, IDC_CHK_SAVEPWD2, m_chkOut);
	DDX_Check(pDX, IDC_CHK_SAVE, m_chkSave);
	DDX_Text(pDX, IDC_IN_NAME, m_strInName);
	DDX_Text(pDX, IDC_IN_SRV, m_strInSrv);
	DDX_Text(pDX, IDC_OUT_NAME, m_strOutName);
	DDX_Text(pDX, IDC_OUT_SRV, m_strOutSrv);
	DDX_Text(pDX, IDC_IN_PWD, m_strInPwd);
	DDV_MaxChars(pDX, m_strInPwd, 50);
	DDX_Text(pDX, IDC_OUT_PWD, m_strOutPwd);
	DDV_MaxChars(pDX, m_strOutPwd, 50);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKonfMail, CDialog)
	//{{AFX_MSG_MAP(CKonfMail)
	ON_BN_CLICKED(IDC_CHK_SAVEPWD, OnChkSavepwdIn)
	ON_BN_CLICKED(IDC_CHK_SAVEPWD2, OnChkSavepwdOut)
	ON_WM_SHOWWINDOW()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKonfMail message handlers IDCANCEL

void CKonfMail::OnChkSavepwdIn() 
{
	GetDlgItem(IDC_IN_PWD)->EnableWindow(!((CButton*)GetDlgItem(IDC_CHK_SAVEPWD))->GetCheck());
}

void CKonfMail::OnChkSavepwdOut() 
{
	GetDlgItem(IDC_OUT_PWD)->EnableWindow(!((CButton*)GetDlgItem(IDC_CHK_SAVEPWD2))->GetCheck());
}

void CKonfMail::Save()
{
	CString strIn = "InMailPwd";
	CString strOut = "OutMailPwd";
	UpdateData();
	WriteReg("InMailServer",m_strInSrv);
	WriteReg("OutMailServer",m_strOutSrv);
	WriteReg("InMailUser",m_strInName);
	WriteReg("OutMailUser",m_strOutName);
	WriteReg("InMailLeave",m_chkSave);
	WriteReg("InAsk",m_chkIn);
	WriteReg("OutAsk",m_chkOut);
	
	Crypt(m_strInPwd,strIn);
	AfxGetApp()->WriteProfileString(strSet,strIn,m_strInPwd); 

	Crypt(m_strOutPwd,strOut);
	AfxGetApp()->WriteProfileString(strSet,strOut,m_strOutPwd); 
}

void CKonfMail::Load()
{
	CString strIn = "InMailPwd";
	CString strOut = "OutMailPwd";
	m_strInSrv  =	ReadRegS("InMailServer");
	m_strOutSrv =	ReadRegS("OutMailServer");
	m_strInName =	ReadRegS("InMailUser");
	m_strOutName =	ReadRegS("OutMailUser");
	m_strInPwd	=	ReadRegS(strIn); 
	m_strOutPwd	=	ReadRegS(strOut); 
	m_chkSave =		ReadRegI("InMailLeave");
	m_chkIn =		ReadRegI("InAsk");
	m_chkOut =		ReadRegI("OutAsk");
	
	m_strInPwd	= AfxGetApp()->GetProfileString(strSet,strIn); 
	Crypt(m_strInPwd,strIn);
	m_strOutPwd	= AfxGetApp()->GetProfileString(strSet,strOut); 
	Crypt(m_strOutPwd,strOut);
	UpdateData(FALSE);
	OnChkSavepwdIn();
	OnChkSavepwdOut();

}

void CKonfMail::OnOK()
{
	//((CDialog*)this->GetParent())->SendMessage(EndDialog(IDOK);
}

void CKonfMail::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	
	GetDlgItem(IDC_IN_SRV)->SetFocus();	
}
