// KonfigDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "KonfigDlg.h"
#include "KonfMail.h"
#include "KonfIne.h"
#include "KonfPorovn.h"
#include "KonfTest.h"
#include "KonfImport.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKonfigDlg dialog


CKonfigDlg::CKonfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CKonfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CKonfigDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CKonfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKonfigDlg)
	DDX_Control(pDX, IDC_TAB, m_tab);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKonfigDlg, CDialog)
	//{{AFX_MSG_MAP(CKonfigDlg)
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB, OnSelchangeTab)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKonfigDlg message handlers

BOOL CKonfigDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CRect rect;
	m_tab.GetClientRect(rect);
	m_childRect.left=rect.left+2;
	m_childRect.top=rect.top+2;
	m_childRect.right=rect.right-4;	
	m_childRect.bottom=rect.bottom-2;
	m_tab.GetItemRect(0,rect);
	m_childRect.top+=m_tab.GetRowCount()*rect.bottom+2;
	m_childRect+=CPoint(10,10);

	CCfgDialog * dlg;
	dlg = new CKonfMail;
	dlg->Create(IDD_KONFIG_1,this);
	m_childs.Add(dlg);

	dlg = new CKonfPorovn;
	dlg->Create(IDD_KONFIG_2,this);
	m_childs.Add(dlg);
	
	dlg = new CKonfTest;
	dlg->Create(IDD_KONFIG_3,this);
	m_childs.Add(dlg);

	dlg = new CKonfImport;
	dlg->Create(IDD_KONFIG_5,this);
	m_childs.Add(dlg);

	dlg = new CKonfIne;
	dlg->Create(IDD_KONFIG_4,this);
	m_childs.Add(dlg);

	for (int i=0; i < m_childs.GetSize();i++)
	{
		m_tab.InsertItem(i,m_childs[i]->GetCaption());
	}

	m_tab.GetClientRect(rect);
	m_childRect.left=rect.left+2;
	m_childRect.top=rect.top+2;
	m_childRect.right=rect.right-4;	
	m_childRect.bottom=rect.bottom-2;
	m_tab.GetItemRect(0,rect);
	m_childRect.top+=m_tab.GetRowCount()*rect.bottom+2;
	m_childRect+=CPoint(10,10);

	for (i=0; i < m_childs.GetSize();i++)
	{
		if(m_childs[i])
		{
			m_childs[i]->Load();
			m_childs[i]->MoveWindow(m_childRect);
		}
		if(i==0)
		{
			m_childs[i]->EnableWindow();
			m_childs[i]->ShowWindow(SW_SHOW);
		}
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CKonfigDlg::OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int curSel = m_tab.GetCurSel();
	for (int i=0; i < m_childs.GetSize();i++)
	{
		if(m_childs[i])
		{
			m_childs[i]->ShowWindow(SW_HIDE);
			m_childs[i]->EnableWindow(FALSE);
		}
	}
	if(curSel < m_childs.GetSize())
	{
		CCfgDialog * dlg;
		dlg = m_childs[curSel];
		if(dlg)
		{
			dlg->MoveWindow(m_childRect);
			dlg->EnableWindow();
			dlg->ShowWindow(SW_SHOW);
		}
	}
	*pResult = 0;
}

void CKonfigDlg::OnOK() 
{	
	for (int i=0; i < m_childs.GetSize();i++)
	{
		if(m_childs[i])
			m_childs[i]->Save();
	}
	CDialog::OnOK();
	AfxMessageBox("daje s uloen..");
}

BOOL CKonfigDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	return HtmlHelp(
		NULL,
		m_childs[m_tab.GetCurSel()]->GetHelp(),
		HH_DISPLAY_TOPIC,0
		)!=0;
}
