#if !defined(AFX_OUTLOOKPANEWND_H__9B675F9A_22C3_11D2_90B8_0080ADB6E904__INCLUDED_)
#define AFX_OUTLOOKPANEWND_H__9B675F9A_22C3_11D2_90B8_0080ADB6E904__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// OutlookPaneWnd.h : header file
//

#define WM_OPW_SELCHANGE		WM_USER + 1
#define HIDW_OUTLOOK_PANE		0x0000F001
#include <afxtempl.h>
/////////////////////////////////////////////////////////////////////////////
// COutlookPaneWnd window
class  COutlookPaneWnd : public CView
{
// Construction
public:
	COutlookPaneWnd();
	DECLARE_DYNCREATE(COutlookPaneWnd);

// Attributes
public:
	CString GetInfoText(int nId);

// Operations
public:
	void AddIcon(int nId, HICON hIcon, const CString& strText);
	
// Overrides
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COutlookPaneWnd)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~COutlookPaneWnd();
	void    OnDraw(CDC *pDC);
	
protected:
	int m_nIconSize;
	int m_nSelected;
	int m_nScrollPos;

	BOOL m_bUp;
	BOOL m_bDown;

protected:
	struct CInfo
	{
		int     m_nId;
		HICON   m_hIcon;
		CString m_strText;

		CInfo& operator = (const CInfo& o)
		{
			m_nId = o.m_nId;
			m_hIcon = o.m_hIcon;
			m_strText = o.m_strText;
			return *this;
		}
	};
		
	CList<CInfo, CInfo&> m_listIcons;
	
	// Generated message map functions
protected:
	void UpdateButtons();
	void Scroll(int dy);

	//{{AFX_MSG(COutlookPaneWnd)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg int OnMouseActivate(CWnd* pDesktopWnd, UINT nHitTest, UINT message);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	afx_msg LRESULT OnHelpHitTest(WPARAM, LPARAM);

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.


#endif // !defined(AFX_OUTLOOKPANEWND_H__9B675F9A_22C3_11D2_90B8_0080ADB6E904__INCLUDED_)
