#if !defined(AFX_OUTLOOKSPLITTERWND_H__9B675F98_22C3_11D2_90B8_0080ADB6E904__INCLUDED_)
#define AFX_OUTLOOKSPLITTERWND_H__9B675F98_22C3_11D2_90B8_0080ADB6E904__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// OutlookSplitterWnd.h : header file
//
#include <afxtempl.h>
/////////////////////////////////////////////////////////////////////////////
// COutlookSplitterWnd window

class  COutlookSplitterWnd : public CSplitterWnd
{
// Construction
public:
	COutlookSplitterWnd();

// Attributes
public:
	int GetCurrentId() { return m_nCurrentId; }

// Operations
public:
	BOOL Create(CWnd* pWndParent, UINT nIconId, UINT nStringId,
				CCreateContext* pViewContext);
	BOOL Create(CWnd* pWndParent, UINT nId, HICON hIcon, LPCTSTR lpszString,
				CCreateContext* pViewContext);
	BOOL AddView(UINT nIconId, UINT nStringId, CRuntimeClass *pViewClass,
		         BOOL bSendInitialUpdate = TRUE);
	BOOL AddView(UINT nId, HICON hIcon, LPCTSTR lpszString, CRuntimeClass *pViewClass,
		         BOOL bSendInitialUpdate = TRUE);
	void SwitchToView(UINT nIconId);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COutlookSplitterWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~COutlookSplitterWnd();
	virtual void RecalcLayout();

protected:
	int     m_nInfoHeight;
	CFont   m_fntInfo;
	CBrush  m_brshInfo;
	CStatic m_stInfo;
	int     m_nCurrentId;

	CMap<int, int, CView*, CView*> m_mapViews;

	// Generated message map functions
protected:
	//{{AFX_MSG(COutlookSplitterWnd)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg LRESULT OnSwitchView(WPARAM wParam, LPARAM);
	
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OUTLOOKSPLITTERWND_H__9B675F98_22C3_11D2_90B8_0080ADB6E904__INCLUDED_)
