// Pop.h: interface for the CPop class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POP_H__52EA85C3_A767_11D3_AD7E_0000E86A43B7__INCLUDED_)
#define AFX_POP_H__52EA85C3_A767_11D3_AD7E_0000E86A43B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "stdafx.h"

#define CONNECTION_CHECK 0 
#define USER_CHECK  1 
#define PASSWORD_CHECK 2 
#define QUIT_CHECK  3 
#define DELETE_CHECK 4 
#define RSET_CHECK  5 
#define STAT_CHECK  6 
#define NOOP_CHECK  7 
#define LIST_CHECK  8 
#define RETR_CHECK  9 
#define TOP_CHECK	10

///////////////////////////////////////////////////////////////////////////// 
class CPop 
{ 
public: 
	BOOL MakeMsgList();
	BOOL ExtractTop(CString fname);
 BOOL List(); 
 CWordArray m_SizeOfMsg; 
 CString GetErrorMessage();				// If there is any error this will return it method 
 int GetTotalMailSize();                // it returns the Total Mail Size 
 int GetNumberOfMails();				// It return the number of mails 
 CString GetMsgContents();         
 BOOL Statistics();						// issue the STAT command on email server 
 BOOL Retrieve(int MsgNumber);			// Getting any particular mail message 
 BOOL Retrieve(int  MsgNumber,CString fname); // Getting any particular mail message to file
 BOOL Reset();							// issue the reset command on email server 
 int  GetMessageSize(int MsgNumber);    // Return a size of any particular mail 
 BOOL Disconnect();						// issue the QUIT command on email server 
 BOOL Delete(int& MsgNumber);			// Deleteing a particular message from email server 
 BOOL Connect(CString& Host, int Port, CString& User, CString& Password); 
 CPop(); 
 BOOL GetTop(int MsgNumber, int Length);
 virtual ~CPop(); 
 CString t_To,t_From,t_Subject,t_Date;

private:
 CString m_ErrorMessage; 
 BOOL CheckResponse(int ResponseType); 
 BOOL SetOutputFile(CString fname);
 CString m_Password; 
 CString m_User; 
 CString m_Host; 
 CString m_MsgContents; 
 int	m_port;
 int m_TotalSize; 
 int m_NumberMail; 
 CSocket m_PopServer; 
 CStdioFile m_outputfile;
 BOOL	m_todisk;
}; 

#endif // !defined(AFX_POP_H__52EA85C3_A767_11D3_AD7E_0000E86A43B7__INCLUDED_)
