// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__1DE198D7_A73D_11D3_AD7C_0000E86A43B7__INCLUDED_)
#define AFX_STDAFX_H__1DE198D7_A73D_11D3_AD7C_0000E86A43B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC Automation classes
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT
#include <afxtempl.h>
#include <afxsock.h>
#include "htmlhelp.h"

#import "C:\\program files\\common files\\system\\ado\\msado20.tlb" \
	no_namespace \
	rename ("EOF", "adoEOF")

class CCfgDialog : public CDialog  
{
protected:
	CString strSet;
	CString strCaption;
	CString strHelp;
public:
	CString GetHelp();
	CCfgDialog(UINT id,CWnd* pParent = NULL) : CDialog(id,pParent)
	{
		strSet = "Settings";
		strCaption = "Head";
		strCaption = "";
	}
	CString GetCaption() 
	{
		return strCaption;
	}
	virtual ~CCfgDialog() {}
	virtual void Save()=0;
	virtual void Load()=0;
	void WriteReg(CString name,int value)
	{
		AfxGetApp()->WriteProfileInt(strSet,name,value);
	}
	void WriteReg(CString name,CString value)
	{
		AfxGetApp()->WriteProfileString(strSet,name,value);
	}
	int ReadRegI(CString name, int defval=0)
	{
		return AfxGetApp()->GetProfileInt(strSet,name,defval);
	}
	CString ReadRegS(CString name, CString defval="")
	{
		return AfxGetApp()->GetProfileString(strSet,name,defval);
	}

};

#define SPANINCLUDING(str1,str2,strout) \
	while(!str1.IsEmpty()) \
	{ \
	if(str2.Find(str1[0]) != -1 ) strout+=str1[0]; \
	str1 = str1.Mid(1);\
	}

#define GETSTRING(x) (char*)_bstr_t(x);
#define READSTRING(rs,col,stringout,var) \
			var = rs->GetCollect(col); \
			if(var.vt!=VT_NULL) \
				stringout = (char*)_bstr_t(var); \
			else stringout="";


// Class for Win32 Structured Exception Handling
class SEH_Exception 
{
private:
   unsigned int m_uSECode;
public:
   SEH_Exception(unsigned int uSECode) : m_uSECode(uSECode) {}
   SEH_Exception() {}   ~SEH_Exception() {}
   unsigned int getSeHNumber() { return m_uSECode; }
};

// Raise Win32 Exception within a C++ Class SEH_Exception
static void MappingSEHtoCPPExceptions(
	unsigned int uExceptionCode, _EXCEPTION_POINTERS*)
{
	throw SEH_Exception( uExceptionCode );
}



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__1DE198D7_A73D_11D3_AD7C_0000E86A43B7__INCLUDED_)
