// VyberSkRokDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "VyberSkRokDlg.h"
#include "VytvorRokDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVyberSkRokDlg dialog


CVyberSkRokDlg::CVyberSkRokDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVyberSkRokDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVyberSkRokDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CVyberSkRokDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVyberSkRokDlg)
	DDX_Control(pDX, IDC_LIST1, m_lstRoky);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CVyberSkRokDlg, CDialog)
	//{{AFX_MSG_MAP(CVyberSkRokDlg)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)
	ON_BN_CLICKED(IDC_BUTTON1, OnVytvor)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVyberSkRokDlg message handlers

BOOL CVyberSkRokDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CFileFind finder;
	BOOL bWorking = finder.FindFile("soj_*.mdb");
	long nRok1,nRok2;
	CString strVal,strText;
	while (bWorking)
	{
		bWorking = finder.FindNextFile();
		if( finder.IsDots() )
			continue;
		if( finder.IsDirectory() )
			continue;
		strVal=finder.GetFileName();
		sscanf(strVal,"soj_%4d_%4d.mdb",&nRok1,&nRok2);
		strText.Format("k. rok %4d/%4d",nRok1,nRok2);
		m_lstRoky.SetItemData(m_lstRoky.AddString(strText),nRok1);
	}


	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CVyberSkRokDlg::OnOK() 
{
	int nCurSel = m_lstRoky.GetCurSel();
	if(nCurSel!= LB_ERR )
	{
		m_nRok = m_lstRoky.GetItemData(nCurSel);
		CDialog::OnOK();
	}
}

void CVyberSkRokDlg::OnDblclkList1() 
{
	OnOK();
}

void CVyberSkRokDlg::OnVytvor() 
{
	CString strFile;
	CVytvorRokDlg dlg;
	if(dlg.DoModal()==IDOK)
	{
		m_nRok = dlg.m_nRok1;
		EndDialog(IDOK);
	}
}

BOOL CVyberSkRokDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	return HtmlHelp(
		NULL,
		"sojko.chm::/rok.htm",HH_DISPLAY_TOPIC,0
		)!=0;
}
