// BrowseFolder.cpp: implementation of the CBrowseFolder class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "SOJ.h"
#include "BrowseFolder.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CBrowseFolder::CBrowseFolder(const HWND hParent, const int nTitleID)
	: CBrowseForFolder(hParent, NULL, nTitleID)
{
	SetFlags(BIF_RETURNONLYFSDIRS | BIF_STATUSTEXT);
}

CBrowseFolder::~CBrowseFolder()
{

}
void CBrowseFolder::SetInitialSelection(const CString & strPath)
{
	m_strInitialSelection = strPath;
}

void CBrowseFolder::OnInit() const
{
	SetSelection(m_strInitialSelection);
	SetStatusText(m_strInitialSelection);
}

void CBrowseFolder::OnSelChanged(const LPITEMIDLIST pidl) const
{
	CString strBuffer;
	if (SHGetPathFromIDList(pidl, strBuffer.GetBuffer(MAX_PATH)))
		strBuffer.ReleaseBuffer();
	else
		strBuffer.ReleaseBuffer(0);
	SetStatusText(strBuffer);
}
