// BrowseFolder.h: interface for the CBrowseFolder class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BROWSEFOLDER_H__61B49AF6_0795_11D4_A926_0000E86A43B7__INCLUDED_)
#define AFX_BROWSEFOLDER_H__61B49AF6_0795_11D4_A926_0000E86A43B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BrowseForFolder.h"

class CBrowseFolder : public CBrowseForFolder  
{
public:
	CBrowseFolder(const HWND hParent = NULL, const int nTitleID = IDS_BROWFOLD);
	virtual ~CBrowseFolder();
	void SetInitialSelection(const CString& strPath);

	void OnInit() const;
	void OnSelChanged(const LPITEMIDLIST pidl) const;

private:
	CString m_strInitialSelection;
};


#endif // !defined(AFX_BROWSEFOLDER_H__61B49AF6_0795_11D4_A926_0000E86A43B7__INCLUDED_)
