// EditStudent.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "EditStudent.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditStudent dialog


CEditStudent::CEditStudent(CWnd* pParent /*=NULL*/)
	: CDialog(CEditStudent::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditStudent)
	m_strId = _T("");
	m_nRoc = 1;
	m_nKr = 1;
	m_strMeno = _T("");
	m_strPriezv = _T("");
	m_strMail = _T("");
	m_strPozn = _T("");
	//}}AFX_DATA_INIT
}


void CEditStudent::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditStudent)
	DDX_Text(pDX, IDC_ID, m_strId);
	DDV_MaxChars(pDX, m_strId, 5);
	DDX_Text(pDX, IDC_ROC, m_nRoc);
	DDX_Text(pDX, IDC_KR, m_nKr);
	DDX_Text(pDX, IDC_MENO, m_strMeno);
	DDV_MaxChars(pDX, m_strMeno, 50);
	DDX_Text(pDX, IDC_PRIEZV, m_strPriezv);
	DDV_MaxChars(pDX, m_strPriezv, 50);
	DDX_Text(pDX, IDC_MAIL, m_strMail);
	DDV_MaxChars(pDX, m_strMail, 50);
	DDX_Text(pDX, IDC_POZN, m_strPozn);
	DDV_MaxChars(pDX, m_strPozn, 50);
	//}}AFX_DATA_MAP
	if(pDX->m_bSaveAndValidate)
	{
		pDX->PrepareEditCtrl(IDC_ID);
		if(m_strId.GetLength()<5)
		{
			AfxMessageBox("Chyba -> ID tudenta : \nslo je prli krtke");
			pDX->Fail();
		}
		pDX->PrepareEditCtrl(IDC_PRIEZV);
		if(m_strPriezv.IsEmpty())
		{
			AfxMessageBox("Chyba -> Priezvisko : \nNemono zada przdny reazec!!");
			pDX->Fail();
		}
		pDX->PrepareEditCtrl(IDC_MAIL);
		if(m_strMail.IsEmpty())
		{
			AfxMessageBox("Chyba -> e-mail : \nNemono zada przdny reazec!!");
			pDX->Fail();
		}
		if( m_strMail.Find(_T("@")) == -1)
		{
			AfxMessageBox("Chyba -> e-mail : \nAdresa nie je korektne zadan");
			pDX->Fail();
		}
	}
}


BEGIN_MESSAGE_MAP(CEditStudent, CDialog)
	//{{AFX_MSG_MAP(CEditStudent)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditStudent message handlers

BOOL CEditStudent::OnInitDialog() 
{
	CDialog::OnInitDialog();
	((CSpinButtonCtrl*)GetDlgItem(IDC_SPIN2))->SetRange(1,100);
	((CSpinButtonCtrl*)GetDlgItem(IDC_SPIN1))->SetRange(1,10);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CEditStudent::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	return HtmlHelp(
		NULL,"sojko.chm::/studdlg.htm",HH_DISPLAY_TOPIC,0)!=0;
}
