// HodnotDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "HodnotDlg.h"
#include "ErrorReportDlg.h"
#include "KonfigDlg.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHodnotDlg dialog


CHodnotDlg::CHodnotDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHodnotDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHodnotDlg)
	m_nBody = 0;
	m_bStyl = FALSE;
	m_bPorovn = FALSE;
	m_bTest = FALSE;
	//}}AFX_DATA_INIT
}


void CHodnotDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHodnotDlg)
	DDX_Text(pDX, IDC_PBODY, m_nBody);
	DDX_Check(pDX, IDC_STYL, m_bStyl);
	DDX_Check(pDX, IDC_PODOB, m_bPorovn);
	DDX_Check(pDX, IDC_TEST, m_bTest);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHodnotDlg, CDialog)
	//{{AFX_MSG_MAP(CHodnotDlg)
	ON_BN_CLICKED(IDC_ALL, OnAll)
	ON_BN_CLICKED(IDC_KONFIG, OnKonfig)
	ON_BN_CLICKED(IDC_START, OnStart)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHodnotDlg message handlers

void CHodnotDlg::OnAll() 
{
	if(((CButton*)GetDlgItem(IDC_ALL))->GetCheck())
	{
		((CButton*)GetDlgItem(IDC_STYL))->SetCheck(1);
		((CButton*)GetDlgItem(IDC_PODOB))->SetCheck(1);
		((CButton*)GetDlgItem(IDC_TEST))->SetCheck(1);
		((CButton*)GetDlgItem(IDC_STYL))->EnableWindow(FALSE);
		((CButton*)GetDlgItem(IDC_PODOB))->EnableWindow(FALSE);
		((CButton*)GetDlgItem(IDC_TEST))->EnableWindow(FALSE);
		
	}
	else			
	{
		((CButton*)GetDlgItem(IDC_STYL))->EnableWindow(TRUE);
		((CButton*)GetDlgItem(IDC_PODOB))->EnableWindow(TRUE);
		((CButton*)GetDlgItem(IDC_TEST))->EnableWindow(TRUE);
		
	}
}

void CHodnotDlg::OnKonfig() 
{
	CKonfigDlg dlg;
	dlg.DoModal();	
}

void CHodnotDlg::OnStart() 
{
	UpdateData();
	m_lstVys.ResetContent();
	m_hodnot.db = db;
	m_hodnot.lst = &m_lstVys;
	if(m_bPorovn)
		m_hodnot.Porovn(m_nIdZadanie);
	if(m_bTest)
		m_hodnot.Test(m_nIdZadanie);

	UpdateData(FALSE);
}

void CHodnotDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

BOOL CHodnotDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_lstVys.SubclassDlgItem(IDC_LIST1, this); 	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
