// ImportMailDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "ImportMailDlg.h"
#include "ProgDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CImportMailDlg dialog


CImportMailDlg::CImportMailDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CImportMailDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CImportMailDlg)
	m_bCheck = FALSE;
	//}}AFX_DATA_INIT
	m_pop = NULL;
}


void CImportMailDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CImportMailDlg)
	DDX_Control(pDX, IDC_LIST, m_lstZad);
	DDX_Check(pDX, IDC_CHECK1, m_bCheck);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CImportMailDlg, CDialog)
	//{{AFX_MSG_MAP(CImportMailDlg)
	ON_BN_CLICKED(IDOK, OnOk)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CImportMailDlg message handlers

void CImportMailDlg::OnOk() 
{
	UpdateData();

	for(int i=0;i<m_lstZad.GetCount();i++)
	{
		if(m_lstZad.GetCheck(i))
		{
			m_pop->Retrieve(i+1,"haluz.asm");
			AddFile("haluz.asm",0);
		}
	}
	CFile::Remove("haluz.asm");
	rs->Close();
	rs_zad->Close();
	CDialog::OnOK();
}

void CImportMailDlg::SetPop(CPop *popmail)
{
	m_pop = popmail;
}

BOOL CImportMailDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	rs.CreateInstance(__uuidof(Recordset));
	rs->CursorLocation = adUseClient;
	rs->Open("SELECT * from student",db.GetInterfacePtr(),
		adOpenDynamic,
		adLockOptimistic,
		adCmdText);
	rs_zad.CreateInstance(__uuidof(Recordset));
	rs_zad->CursorLocation = adUseClient;
	rs_zad->Open("SELECT * from zadanie",db.GetInterfacePtr(),
		adOpenDynamic,
		adLockOptimistic,
		adCmdText);

	if(!m_pop)
	{
//		GetDlgItem(IDOK)->EnableWindow(FALSE);
	}
	CProgressDlg dlg;
	CRect rect;
	GetClientRect(&rect);
	m_lstZad.SetColumnWidth(rect.right-rect.left);
	dlg.Create();
	dlg.SetStatus("Prebieha natavanie zoznamu poty...");
	m_pop->Statistics();
	int count = m_pop->GetNumberOfMails();
	dlg.SetRange(1,count);
	for (int i=0;i<count;i++)
	{
		m_pop->GetTop(i+1,20);
		m_pop->GetMsgContents();
		m_lstZad.SetItemData(m_lstZad.AddString(m_pop->t_From+" : "+m_pop->t_Subject),i+1);
		dlg.StepIt();
	}
	dlg.DestroyWindow();
	m_bCheck = AfxGetApp()->GetProfileInt("Settings","HromMail",0);
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CImportMailDlg::AddFile(CString sFile, long nId)
{
	_variant_t var;
	CString strAll,strLine,strTmp;;
	CStdioFile file(sFile,CFile::modeRead);
	COleDateTime datum=COleDateTime::GetCurrentTime();
	BOOL isFile=FALSE;
	long nLineNo = 0,nIdStud,nIdZad;
	CString strStud,strZad;
	strTmp = "0123456789";
	while(file.ReadString(strLine))
	{
		strLine.Remove('\n');
		strLine.Remove('\r');
		if(strLine=="")
			isFile=TRUE;
		if(!isFile) continue;
		switch(nLineNo)
		{
		case 1:
			SPANINCLUDING(strLine,strTmp,strStud);
			if(!strStud.IsEmpty())
				nIdStud = atoi(strStud);
			else
				nIdStud = 0;

			break;
		case 2:
			SPANINCLUDING(strLine,strTmp,strZad);
			if(!strZad.IsEmpty())
				nIdZad = atoi(strZad);
			else
				nIdZad = 0;
			break;
		default:
			strAll+="\r\n"+strLine;
			break;
		}
		nLineNo++;
	}
	file.Close();
	if(nIdStud==0 || nIdZad==0)
		return;

	try
	{
		rs_zad->AddNew();
		var = strStud;
		rs_zad->GetFields()->GetItem(L"id_student")->Value = var;
		var.vt=VT_I4;
		var.lVal=nIdZad;
		rs_zad->GetFields()->GetItem(L"id_uloha")->Value = var;
		var = strAll;
		rs_zad->GetFields()->GetItem(L"text")->Value = var;
		var = datum;
		rs_zad->GetFields()->GetItem(L"datum")->Value = var;
		var = false;
		rs_zad->GetFields()->GetItem(L"hodnot")->Value = var;

		rs_zad->Update();
	}
	catch(CException *e)
	{
		e->ReportError();
	}
	catch(_com_error &e)
	{
		AfxMessageBox(e.ErrorMessage());
	}
	catch(...)
	{
		AfxMessageBox(IDS_EXCEPTION);
	}	

}

BOOL CImportMailDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	return HtmlHelp(
		NULL,
		"sojko.chm::/posta.htm",HH_DISPLAY_TOPIC,0
		)!=0;
}
