// KonfTest.cpp : implementation file
//

#include "stdafx.h"
#include "SOJ.h"
#include "KonfTest.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKonfTest dialog


CKonfTest::CKonfTest(CWnd* pParent /*=NULL*/)
	: CCfgDialog(CKonfTest::IDD, pParent)
{
	//{{AFX_DATA_INIT(CKonfTest)
	m_strComp = _T("");
	m_strCompPar = _T("");
	m_strLink = _T("");
	m_strLinkPar = _T("");
	//}}AFX_DATA_INIT
	strCaption="Testovanie";
	strHelp = "sojko.chm::/konfig.htm#test";
}


void CKonfTest::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKonfTest)
	DDX_Text(pDX, IDC_COMP, m_strComp);
	DDX_Text(pDX, IDC_COMPPARAM, m_strCompPar);
	DDX_Text(pDX, IDC_LINK, m_strLink);
	DDX_Text(pDX, IDC_LINKPARAM, m_strLinkPar);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKonfTest, CDialog)
	//{{AFX_MSG_MAP(CKonfTest)
	ON_BN_CLICKED(IDC_FIND_COMP, OnFindComp)
	ON_BN_CLICKED(IDC_FIND_LINK, OnFindLink)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKonfTest message handlers

void CKonfTest::Load()
{
	m_strComp=ReadRegS("Compiler");
	m_strCompPar=ReadRegS("CompilerParam");
	m_strLink=ReadRegS("Linker");
	m_strLinkPar=ReadRegS("LinkerParam");
	UpdateData(FALSE);
}

void CKonfTest::Save()
{
	UpdateData();
	WriteReg("Compiler",m_strComp);
	WriteReg("CompilerParam",m_strCompPar);
	WriteReg("Linker",m_strLink);
	WriteReg("LinkerParam",m_strLinkPar);
}

void CKonfTest::OnFindComp() 
{
	static char BASED_CODE szFilter[] = "Spustiten sbory (*.exe)|*.exe||";
	CFileDialog dlg(TRUE,"exe",NULL, OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,szFilter);
	if(dlg.DoModal()==IDOK)
	{
		m_strComp = dlg.GetPathName();
		UpdateData(FALSE);
	}
}

void CKonfTest::OnFindLink() 
{
	static char BASED_CODE szFilter[] = "Spustiten sbory (*.exe)|*.exe||";
	CFileDialog dlg(TRUE,"exe",NULL, OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,szFilter);
	if(dlg.DoModal()==IDOK)
	{
		m_strLink = dlg.GetPathName();
		UpdateData(FALSE);
	}
}
